Subject: Re: [MEXT] NEMO-PD - DHCP support on Mobile Network

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 27 Feb 2008 08:04:17 -0800 (PST)

I saw this a bit outdated message and have a few comments:

Regards,

Behcet
----- Original Message ----
From: Teco Boot <[email-masked]>
To: [email-masked]
Sent: Thursday, December 6, 2007 12:58:13 PM
Subject: [MEXT] NEMO-PD - DHCP support on Mobile Network

<!--
 _filtered {font-family:"Cambria Math";panose-1:2 4 5 3 5 4 6 3 2 4;}
 _filtered {font-family:Calibri;panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;margin-bottom:.0001pt;font-size:11.0pt;font-family:"Calibri", "sans-serif";}
a:link, span.MsoHyperlink
	{color:blue;text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{color:purple;text-decoration:underline;}
span.E-mailStijl17
	{font-family:"Calibri", "sans-serif";color:windowtext;}
.MsoChpDefault
	{}
 _filtered {margin:70.85pt 70.85pt 70.85pt 70.85pt;}
div.Section1
	{}
-->

On the two drafts for NEMO prefix delegation, I wonder how
we can support DHCP on Mobile Network. I think there are two options, DHCP
Relay or running DHCP Server on MR itself. For the latter, we need not only a
prefix, but also data for DHCP options.

 [behcet] Agreed. A solution not requiring DHCP on MR is probably better approach.

Remark on overhead, I think the prefix delegation signaling
has low overhead, depending on lifetimes. Lifetime can be a order longer that
BU (PD: hours, days, months; BU: seconds, minutes).

[behcet] Agreed. However, MR sends BUs more frequently and a BU with prefix request option is sent every now and then.
I think the main problem with draft-ietf-nemo-prefix-delegation-02 is that DHCP/AAA PD signaling is missing.
I wrote a draft to solve this problem but it was too late to submit it. 

Teco.

 

-----Inline Attachment Follows-----

_______________________________________________
MEXT 
mailing 
list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext